Name:		pwauth
Version:	2.3.11
Release:	3%{?dist}

# Conditional:
# --without debug : disables debuginfo package + removes -g in "optarg".

Summary:	login/password verification for Apache, mainly with mod_auth_external
URL:		http://code.google.com/p/pwauth/
Vendor:		Jan Wolter <janc@cyberspace.org>
Packager:	Franta Hanzlik
Source0:	%{name}-%{version}.tar.gz
Source1:	%{name}.pam
Patch 0:	pwauth-fedora.patch
License:	New BSD License
Group:		Applications/Internet
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	pam-devel

%description
Pwauth for given login and password return a status code telling whether
or not that login/password is valid.  It is designed to be combined with
mod_authnz_external (or mod_auth_external) and Apache to give reasonably
secure HTTP authentication from a Unix PAM or password file, though it can
be used in other ways too.

Installation instructions are in the INSTALL file.  The FORM-AUTH file
discusses using this in form-based authentication applications.
Configuration information is in the comments in the "pwauth.h" file.

This Fedora version is done with PAM support.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
%patch 0 -p1 -b .fedora

%build
# --without debug hack:
CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS
%{?_without_debug:%define debug_package %{nil}}
%{?_without_debug:export RPM_OPT_FLAGS="${RPM_OPT_FLAGS//-g/}"}
%{?_without_debug:export CFLAGS="${CFLAGS//-g/}"}
make

%install

[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

install -pDm 0755 pwauth $RPM_BUILD_ROOT%{_bindir}/pwauth
install -pDm 0644 %SOURCE1 $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/pwauth

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(4750,root,apache) %{_bindir}/pwauth
%doc FORM_AUTH CHANGES INSTALL README
%config(noreplace) %{_sysconfdir}/pam.d/*

%changelog
* Sun Aug 03 2014 Franta Hanzlik <franta@hanzlici.cz>
- update to v2.3.11

* Sun Mar 28 2010 Franta Hanzlik <franta@hanzlici.cz>
- initial SPEC creating and  pwauth 2.3.8 FC{11,12,13} release
